.footer {
  background: #1a2531;
  padding-block: 32px;
  position: relative;
}

.container--footer {
  align-items: start;
  display: grid;
  grid-template-columns: 1fr;
  row-gap: 1.5rem;
}

.footer__brand {
  display: grid;
  grid-template-rows: auto 1fr auto;
}

.footer__logo {
  margin-bottom: 6px;
}

.footer__logo-image {
  max-width: 100%;
  width: 114px;
}

.footer__copyright {
  color: var(--text-light);
  font:
    400 12px/15px "Inter",
    sans-serif;
  margin-bottom: 32px;
}

.footer__links {
  display: grid;
  gap: 32px;
  justify-items: start;
}

.footer__links,
.footer__brand {
  border-bottom: 1px solid rgba(109, 122, 141, 0.2);
  padding-bottom: 32px;
}

.footer__social {
  align-items: center;
  display: flex;
  flex-direction: row;
  gap: 10px;
}

.footer__social-title {
  color: var(--text-light);
  display: block;
  font:
    700 14px/17px "Inter",
    sans-serif;
  width: 100%;
}

.footer__social-wrapper {
  display: flex;
  gap: 10px;
}

.footer__social-link {
  align-items: center;
  background-color: #233243;
  border-radius: 6px;
  display: inline-flex;
  height: 32px;
  justify-content: center;
  text-decoration: none;
  transition: background-color 0.15s cubic-bezier(0.4, 0, 0.2, 1);
  width: 32px;
}

.footer__social-link:hover {
  background-color: #3b5067;
}

.footer__social-link svg {
  fill: #6193a3;
  width: 16px;
}

.footer__navigation {
  display: grid;
  row-gap: 32px;
}

.footer__location:not(:last-child) {
  margin-bottom: 2rem;
}

.footer__nav-link {
  color: var(--text-light);
  display: block;
  font:
    700 14px/17px "Inter",
    sans-serif;
  text-decoration: none;
}

.footer__nav-link:hover {
  color: var(--armada-light-color);
}

.footer__address-title {
  color: var(--text-light);
  display: block;
  font:
    400 14px/17px "Inter",
    sans-serif;
  margin-bottom: 0.5rem;
}

.footer__location:first-child {
  margin-bottom: 2rem;
}

.footer__location-name {
  color: var(--text-light);
  display: block;
  font:
    700 14px/17px "Inter",
    sans-serif;
  margin-bottom: 8px;
}

.footer__location-address {
  color: var(--text-light);
  display: block;
  font:
    400 14px/17px "Inter",
    sans-serif;
  text-decoration: none;
}

.footer__location-address:hover {
  color: var(--armada-light-color);
}

@media screen and (min-width: 768px) {
  .footer {
    padding-block: 50px;
  }

  .container--footer {
    grid-template-columns: 23% 44% 33%;
  }

  .footer__links {
    gap: 42px;
    grid-template-columns: 1fr;
    justify-items: center;
  }

  .footer__links,
  .footer__brand {
    border: none;
    padding-bottom: 0;
  }

  .footer__logo {
    margin-bottom: 16px;
  }

  .footer__logo-image {
    width: 150px;
  }

  .footer__copyright {
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 0px;
  }

  .footer__social {
    align-items: start;
    flex-direction: column;
  }
}

@media screen and (min-width: 1024px) {
  .footer {
    padding-block: 40px;
  }
}

@media screen and (min-width: 1440px) {
  .container--footer {
    grid-template-columns: 20% 44% 36%;
  }

  .footer__links {
    gap: 60px;
    grid-template-columns: repeat(2, 1fr);
    justify-items: start;
  }

  .footer__navigation {
    gap: 24px;
  }
}
